Skip to content
Fulfillment & ShippingSettings

Update shipping settings

Changes the default location and toggles pickup, local delivery and live rates.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PATCH "https://api.ecomiq.pe/api/v1/shipping/settings" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "defaultLocationId": "7204558912004324638",    "estimatedDeliveryEnabled": true,    "estimatedDeliveryFulfillmentDays": 30,    "pickupEnabled": true,    "localDeliveryEnabled": true,    "useLiveRates": false  }'
{  "storeId": "7204558912004327977",  "defaultLocationId": "7204558912004324638",  "estimatedDeliveryEnabled": true,  "estimatedDeliveryFulfillmentDays": 30,  "pickupEnabled": true,  "localDeliveryEnabled": true,  "useLiveRates": false}